Package ru.bitel.oss.kernel.entity.common.bean

# Class Entity

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `AbstractTreeNode`, `AbtractVoiceAccount`, `Device`, `DeviceType`, `InetServType`, `ProductSpec`, `ServiceSpec`, `TvAccountSpec`, `TvChannelSpec`, `VoiceAccountTypeAbstract`

    public abstract class Entity
    extends AbstractEntity

Сущность, привязанная к атрибутам, через таблицу entity

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `entitySpecId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Entity()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `copyTo​(Entity entity)` |
  `int` | `getEntityId()` |
  `void` | `setEntityId​(int entityId)` |

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Entity

    public Entity()

- ## Method Details

  - ### getEntityId

    public int getEntityId()

  - ### setEntityId

    public void setEntityId​(int entityId)

  - ### copyTo

    public void copyTo​(Entity entity)